Skip to content

Add special package

POST/software/packages/static/{staticPackageId}/add

Endpoint API · Packages

Add a special package by token, supplied by Sophos support. This is a one-way operation.

Required permissionendpoint-versions:update

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
staticPackageId path string (uuid) Yes Static package ID.

Request samples

curl -X POST "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static/<staticPackageId>/add" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.post(
    "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static/<staticPackageId>/add",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method POST -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static/<staticPackageId>/add" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("POST", "https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static/<staticPackageId>/add", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/software/packages/static/<staticPackageId>/add", {
  method: "POST",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

201 — Special package successfully added.

Response fields

idstring (uuid)required
Static package ID.
namestringrequired
Static package description.
releasedAtstring (date)required
Static package publication date.
expiresAtstring (date)required
Static package expiration date.
typestringrequired
Static package type.
Must be one of: fixed, special, lts.
platformstringrequired
OS platform type.
Must be one of: windows, linux, macOS.
endpointTypestring
Endpoint type. Please note that the type securityVm is no longer used.
Must be one of: computer, server, securityVm.
modulesarray of objectrequired
Endpoint modules in this static package.
Single endpoint module.
Show child attributesHide child attributes
namestringrequired
The installed endpoint module.
Must be one of: coreAgent, deviceEncryption, interceptX, mdr.
versionstringrequired
Module version.
packageNotesUrlstring (uri)
Link to the static package release notes.
visiblebooleanrequired
If the software package is visible and assignable to policies.

Errors

Status Meaning
400 Bad request.
404 Token does not map to a released and active special package.
409 Special package has already been added.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

201

{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "releasedAt": "2022-10-12",
  "expiresAt": "2022-02-12",
  "type": "fixed",
  "platform": "windows",
  "endpointType": "computer",
  "modules": [
    {
      "name": "coreAgent",
      "version": "2022.1.0.40"
    }
  ],
  "packageNotesUrl": "https://example.com",
  "visible": true
}

See the guide for a narrative walkthrough of this API.